WordPress CMS Tree Page View Plugin Cross-Site Request

by Carol~ Moderator - 3/12/13 11:33 AM

In Reply to: VULNERABILITIES / FIXES - March 12, 2013 by Carol~ Moderator

WordPress CMS Tree Page View Plugin Cross-Site Request Forgery Vulnerability

Release Date: 2013-03-12

Criticality level : Less critical
Impact : Cross Site Scripting
Where : From remote
Solution Status : Vendor Patch

Software: WordPress CMS Tree Page View Plugin 1.x

Description:
A vulnerability has been discovered in the CMS Tree Page View plugin for WordPress, which can be exploited by malicious people to conduct cross-site request forgery attacks.

The application allows users to perform certain actions via HTTP requests without performing proper validity checks to verify the requests. This can be exploited to e.g. create arbitrary pages when a logged-in user visits a specially crafted web page.

The vulnerability is confirmed in version 1.2.4. Prior versions may also be affected.

Solution:
Update to version 1.2.5.

Provided and/or discovered by:
The vendor credits Julio Potier.

Original Advisory:
CMS Tree Page View:
http://wordpress.org/extend/plugins/cms-tree-page-view/changelog/
http://plugins.trac.wordpress.org/changeset/679833/cms-tree-page-view

http://secunia.com/advisories/52581/